package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.SysUserTsign;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class OAFinancialDto {

    @ApiModelProperty(value = "公司名称", required = false)
    private String organName;

    @ApiModelProperty(value = "费用申请人", required = false)
    private String realName;

    @ApiModelProperty(value = "费用类型", required = false)
    private String feeType;

    @ApiModelProperty(value = "报销金额", required = false)
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "是否有借款 （是 否）", required = false)
    private String hasLoan;

    @ApiModelProperty(value = "情况说明", required = false)
    private String memo;

    @ApiModelProperty(value = "审批人数据", required = false)
    private List<CirculationUser> circulationUsers;

    @ApiModelProperty(value = "执行人数据", required = false)
    private List<CirculationUser> executors;

    @ApiModelProperty(value = "签章数据", required = false)
    private List<SysUserTsign> sysUserTsigns;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public String getHasLoan() {
        return hasLoan;
    }

    public void setHasLoan(String hasLoan) {
        this.hasLoan = hasLoan;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public List<CirculationUser> getCirculationUsers() {
        return circulationUsers;
    }

    public void setCirculationUsers(List<CirculationUser> circulationUsers) {
        this.circulationUsers = circulationUsers;
    }

    public List<CirculationUser> getExecutors() {
        return executors;
    }

    public void setExecutors(List<CirculationUser> executors) {
        this.executors = executors;
    }

    public List<SysUserTsign> getSysUserTsigns() {
        return sysUserTsigns;
    }

    public void setSysUserTsigns(List<SysUserTsign> sysUserTsigns) {
        this.sysUserTsigns = sysUserTsigns;
    }
}
